Package fr.gouv.vitam.common.logging

# Class SysErrLogger

java.lang.Object
fr.gouv.vitam.common.logging.SysErrLogger

public class SysErrLogger extends Object
Utility class to be used only in classes where VitamLogger is not allowed

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final SysErrLogger`
  `FAKE_LOGGER`
  FAKE LOGGER used where no LOG could be done

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `ignoreLog(Throwable throwable)`
  Utility method to log nothing Used only in classes where VitamLogger is not allowed
  `void`
  `syserr()`
  Utility method to log through System.err the current Stacktrace Used only in classes where VitamLogger is not allowed
  `void`
  `syserr(String message)`
  Utility method to log through System.err Used only in classes where VitamLogger is not allowed
  `void`
  `syserr(String message, Throwable e)`
  Utility method to log through System.err the current Stacktrace Used only in classes where VitamLogger is not allowed

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FAKE_LOGGER

    public static final SysErrLogger FAKE_LOGGER
    FAKE LOGGER used where no LOG could be done

- ## Method Details

  - ### ignoreLog

    public void ignoreLog(Throwable throwable)
    Utility method to log nothing Used only in classes where VitamLogger is not allowed
    Parameters:
      `throwable` - to log ignore

  - ### syserr

    public void syserr(String message)
    Utility method to log through System.err Used only in classes where VitamLogger is not allowed
    Parameters:
      `message` - to write for error

  - ### syserr

    public void syserr()
    Utility method to log through System.err the current Stacktrace Used only in classes where VitamLogger is not allowed

  - ### syserr

    public void syserr(String message, Throwable e)
    Utility method to log through System.err the current Stacktrace Used only in classes where VitamLogger is not allowed
    Parameters:
      `message` - to write for error
      `e` - throw to write as error